Skip to navigation

List Order Coupons

Lists all order coupons. Optional parameters can be passed in.

Type intType Name
0per_item_discount
1percentage_discount
2per_total_discount
3shipping_discount
4free_shipping
5promotion

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pagedoubleOptionalDefaults to 1
The page to return in the response.
limitdoubleOptionalDefaults to 50
Number of results to return.

Response

A list of the coupons applied to the order.
idintegerOptional
Numeric ID of the coupon code.
coupon_idintegerOptional
Numeric ID of the associated coupon.
order_idintegerOptional
Numeric ID of the associated order.
codestring or nullOptional
Coupon code, as a string.
amountstring or double or integerOptional

Amount of the discount. This information is returned as in integer. Dollar and percentage discounts will return the same. For example, $3 returns as 3 while 5% will return as 5. Check the discount type to see what type of discount is available.

typeenumOptional

0: per_item_discount 1: percentage_discount 2: per_total_discount 3: shipping_discount 4: free_shipping 5: promotions

discountdoubleOptional

The amount off the order the discount is worth. For example, if an order subtotal is $90 and the discount is $3 then it will return as 3.000. If the discount is 3% then will return as 2.7000 or the amount of the order. (Float, Float-As-String, Integer)